Create an OnHold transaction

Creates a new transaction of type OnHold which will be linked to a Customer using userDetail in the path, userDetail can be the Barcode, Mobile Number, Email or ID Card of the Customer. The other parameters are companyId which can be populated with any string as its value is not used, locationId is the Id of the Outlet in which the transaction is done, wsId is the Id of the POS making the request. The onHoldTransactionRequest object in the body has 4 required parameters. These are CashRedeemed which is the total monetary value which has been redeemed, SaleCurrency is the currency of the CashRedeemed value which is passed in ISO 4217 format (e.g. EUR for Euros); currently only EUR is supported. ChitNumber is a unique identifier for the transaction, this does not need to adhere to any format. SchemeId is the Id of the Scheme in which the transaction is made. All of these are passed as a string with the schemeId being passed in GUID format. The optional parameter lineItems requires as input the Id of the item, the quantity bought and the price of the item. The final optional parameter is couponsUsed, this takes as input an array of strings, each string should be in GUID format to represent the Id of the Coupon used in the transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
string
required
string
required
string
required
Body Params
string | null
required
string | null
required
string | null
required
uuid
required
lineItems
array of objects | null
lineItems
couponsUsed
array of strings | null
couponsUsed
Headers
uuid
Response
201

OnHold transaction result view

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!